PaidGoods
API referenceReporting

Save an analytics layout

PUT
/v1/stores/{storeId}/reporting/layouts

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/reporting/layouts" \  -H "Content-Type: application/json" \  -d '{    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "metricKeys": [      "revenue"    ]  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "metricKeys": [    "revenue"  ],  "showActivityMap": false,  "isDefault": false,  "createdAt": "string",  "updatedAt": "string"}